.social-media {
    flex-direction: column;
    display: flex;
    flex-wrap: wrap;
    background: linear-gradient(320deg, #fff 0%, #d7e1ec 80%);
    padding: 20px;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 14px;
    color: #333;
    border-radius: 10px;
    gap: 20px;
}

.social-media-button {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-decoration: none;
    color: #333;
    width: 100px;
    transition: transform .7s ease-in-out;
}

.social-media-icon {
    display: flex;
    font-size: 36px;
    margin-bottom: 5px;
    transition: color .7s ease, text-shadow .7s ease;
}

.social-media-icons-grp {
    display: flex;
    padding: 20px 0 0 0;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}

.social-media-button:hover .bxl-youtube {
    color: red;
}

.social-media-button:hover .bxl-instagram {
    color: #C13584;
    text-shadow: 0 0 10px #C13584, 0 0 20px #C13584;
}

.social-media-button:hover .bxl-facebook {
    color: #1877F2;
    text-shadow: 0 0 10px #1877F2, 0 0 20px #1877F2;
}

.social-media-button:hover .bxl-tiktok {
    color: #000000;
    text-shadow: 0 0 10px #69C9D0, 0 0 20px #69C9D0;
}

.powered-by {
    display: column;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    color: #333;
    margin-top: 10px;
}

@media (max-width: 600px) {
    .welcome-section {
        margin: 0 0 20% 0;
    }

    .social-media {
        flex-direction: column;
        align-items: center;
        margin-top: 20%;
    }

    .social-media-button {
        width: auto;
    }
}